Support » Plugins and Hacks » “Related Posts” plugin not working at all – help!

“Related Posts” plugin not working at all – help!

  • I downloaded and installed the popular “Related Posts” plugin, added <?php wp_related_posts(); ?> to one of the pages (the appropriate index.php page for it to work on my main page), set most Related Posts Options, but the script you’re supposed to run there gives the following error message: “Sorry, you must be at least a level 8 user.”

    I am the administrator and am logged in. How can I be getting this error message?

    One person on this forum offered a hacker’s solution: “So just change ($user_level < 8) to ($user_level < 0) and it should sort out the problem.”

    I thought that it seemed ridiculous to have to hack to make the plugin work in the first place (assuming – as I did – that it was well-written), but tried this solution anyway; however, it didn’t work.

    When Firefox 3.0 tried to display my main page the design was badly broken (no right column) because it couldn’t get beyond the <?php wp_related_posts(); ?> code, which it said was undefined.

    I plan to update to a newer version of WordPress, but why would this plugin not work an an old version of WordPress?

  • The topic ‘“Related Posts” plugin not working at all – help!’ is closed to new replies.